import isNil from 'lodash/isNil';
import { renderValueHandleEmpty } from '../utils';
import { getNumFromStr } from './utils/number';
export function createPercentFormat(numAdapterLocale) {
    return {
        align: 'right',
        cell(val) {
            return isNil(val) ? renderValueHandleEmpty(val) : `${getNumFromStr(val, numAdapterLocale)}%`;
        },
    };
}
